Tasks
Import named task views
Named task views are private to the current staff member and gated by tasks_saved_views. Support Sessions cannot persist views. Updates require the previously loaded lock version and return 409 with current_lock_version when another edit intervened.
POST
/
admin
/
saved-views
/
tasks
/
import
Import named task views
curl --request POST \
--url https://api.gratona.com/v1/admin/saved-views/tasks/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"views": [
{
"client_import_id": "<string>",
"name": "Follow up with trip participants"
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/saved-views/tasks/import"
payload = { "views": [
{
"client_import_id": "<string>",
"name": "Follow up with trip participants"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
views: [{client_import_id: '<string>', name: 'Follow up with trip participants'}]
})
};
fetch('https://api.gratona.com/v1/admin/saved-views/tasks/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/saved-views/tasks/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'views' => [
[
'client_import_id' => '<string>',
'name' => 'Follow up with trip participants'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/saved-views/tasks/import"
payload := strings.NewReader("{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/saved-views/tasks/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/saved-views/tasks/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"results": [
{
"client_import_id": "<string>",
"status": "<string>",
"id": 123
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"message": "<string>",
"error_code": "<string>",
"current_lock_version": 123
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Request fields accepted by this operation. Omitted optional properties retain the behavior described above.
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
Import named task views response.
Show child attributes
Show child attributes
⌘I
Import named task views
curl --request POST \
--url https://api.gratona.com/v1/admin/saved-views/tasks/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"views": [
{
"client_import_id": "<string>",
"name": "Follow up with trip participants"
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/saved-views/tasks/import"
payload = { "views": [
{
"client_import_id": "<string>",
"name": "Follow up with trip participants"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
views: [{client_import_id: '<string>', name: 'Follow up with trip participants'}]
})
};
fetch('https://api.gratona.com/v1/admin/saved-views/tasks/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/saved-views/tasks/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'views' => [
[
'client_import_id' => '<string>',
'name' => 'Follow up with trip participants'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/saved-views/tasks/import"
payload := strings.NewReader("{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/saved-views/tasks/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/saved-views/tasks/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"views\": [\n {\n \"client_import_id\": \"<string>\",\n \"name\": \"Follow up with trip participants\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"results": [
{
"client_import_id": "<string>",
"status": "<string>",
"id": 123
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"message": "<string>",
"error_code": "<string>",
"current_lock_version": 123
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}